## tt-rss 21~git20210204.b4cbc79+dfsg

=== themes/Makefile ===
.PHONY: clean

ALL: compact.css compact_night.css light.css night_blue.css night.css

%.css: %.less light/*.less
	lessc --source-map=$(patsubst %.less,%.css.map,${<}) ${<} ${@}

clean:
	rm -f *.css *.css.map

## tt-rss 1.5.11+dfsg

=== debian/changelog ===
tt-rss (1.5.11+dfsg-1) experimental; urgency=low

  * new upstream release
  * use debian copyright format 1.0

 -- Sebastian Reichel <sre@debian.org>  Mon, 21 May 2012 17:47:13 +0200

tt-rss (1.5.10+dfsg-3) experimental; urgency=low

  [ Kees Cook ]
  * update init script for better AppArmor support

  [ Sebastian Reichel ]
  * use the apache2-maintscript-helper script instead of linking
    the configuration manually (Closes: #669771)
  * update dojo 1.7.x support patch to fix some broken
    things in the preferences area

 -- Sebastian Reichel <sre@debian.org>  Sat, 28 Apr 2012 02:13:18 +0200

tt-rss (1.5.10+dfsg-2) experimental; urgency=low

  * add dojo 1.7.x support by removing optimized tt-rss layer
    (Closes: #666874) 

 -- Sebastian Reichel <sre@debian.org>  Wed, 04 Apr 2012 05:23:52 +0200

tt-rss (1.5.10+dfsg-1) experimental; urgency=low

  * Initial release (Closes: #440602)

 -- Sebastian Reichel <sre@debian.org>  Sat, 10 Mar 2012 10:46:35 +0100

=== debian/control ===
Source: tt-rss
Section: web
Priority: optional
Maintainer: Sebastian Reichel <sre@debian.org>
Uploaders: Marcelo Jorge Vieira (metal) <metal@debian.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.3
Homepage: http://tt-rss.org
Vcs-Git: git://git.debian.org/collab-maint/tt-rss.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/tt-rss.git;a=summary

Package: tt-rss
Architecture: all
Depends: ${misc:Depends},
         dbconfig-common,
         libjs-dojo-core (>= 1.5.0),
         libjs-dojo-dijit (>= 1.5.0),
         libjs-scriptaculous,
         libjs-prototype,
         libphp-magpierss,
         libphp-phpmailer,
         libphp-simplepie,
         php-gettext,
         php-htmlpurifier (>= 4.4.0),
         php5,
         php5-cli,
         php5-mysql | php5-pgsql
Recommends: apache2 | lighttpd | httpd
Suggests: mysql-server | postgresql,
          mysql-client | postgresql-client,
          sphinxsearch
Description: web-based news feed (RSS/Atom) aggregator
 Tiny Tiny RSS is designed to allow you to read news from any location, while
 feeling as close to a real desktop application as possible.
 .
 Feature list:
 .
   - Server-side application, user only needs a web browser
   - Support for RSS, RDF, Atom feeds
   - Streamlined interface using AJAX
   - Authentication for reading protected feeds
   - OPML import/export
   - Feed Aggregation
   - Keyboard Shortcuts
   - Content Filtering
   - JSON-based RPC API

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_install:
	# run normal dh_install
	dh_install
	# install configuration file
	mkdir -p debian/tt-rss/etc/tt-rss
	cp config.php-dist debian/tt-rss/etc/tt-rss/config.php
	# install dbconfig-common files
	mkdir -p debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/install/
	mkdir -p debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql
	mkdir -p debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql
	cp schema/ttrss_schema_mysql.sql debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/install/mysql
	cp schema/ttrss_schema_pgsql.sql debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/install/pgsql
	cp schema/versions/mysql/66.sql debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.4.2
	cp schema/versions/pgsql/66.sql debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.4.2
	cat schema/versions/mysql/6[789].sql schema/versions/mysql/7[012345678].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.5.0
	cat schema/versions/pgsql/6[789].sql schema/versions/pgsql/7[012345678].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.5.0
	cat schema/versions/mysql/79.sql schema/versions/mysql/8[01].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.5.2
	cat schema/versions/pgsql/79.sql schema/versions/pgsql/8[01].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.5.2
	cat schema/versions/mysql/8[2345].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.5.3
	cat schema/versions/pgsql/8[2345].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.5.3
	cat schema/versions/mysql/86.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.5.6
	cat schema/versions/pgsql/86.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.5.6
	cat schema/versions/mysql/87.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.5.9
	cat schema/versions/pgsql/87.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.5.9
	cat schema/versions/mysql/8[89].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.5.10
	cat schema/versions/pgsql/8[89].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.5.10
	cat schema/versions/mysql/9[01].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.5.11
	cat schema/versions/pgsql/9[01].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.5.11
	# remove additional license files
	rm debian/tt-rss/usr/share/tt-rss/www/lib/iui/LICENSE.txt
	rm debian/tt-rss/usr/share/tt-rss/www/lib/tmhoauth/LICENSE
	# fix file permissions
	find debian/tt-rss/usr/share/tt-rss -type f -exec chmod 644 '{}' ';'
	chmod 755 debian/tt-rss/usr/share/tt-rss/www/update*.php
	chmod 644 debian/tt-rss/etc/tt-rss/*

## tt-rss 1.6.0+dfsg

=== debian/changelog ===
tt-rss (1.6.0+dfsg-2) unstable; urgency=low

  * new patch for prototype 1.7 support (Closes: #691025)
  * make it possible to install only one of magpierss and simplepie,
    but recommend to install both.
  * use simplepie by default (Closes: #691121)

 -- Sebastian Reichel <sre@debian.org>  Thu, 25 Oct 2012 00:47:11 +0200

tt-rss (1.6.0+dfsg-1) unstable; urgency=low

  * new upstream release
  * rename de_DE.po to de.po (Closes: #690019) 
  * make webserver choices translatable (Closes: #690020)
  * add French debconf template from Christian Perrier (Closes: #690022)

 -- Sebastian Reichel <sre@debian.org>  Tue, 23 Oct 2012 23:56:04 +0200

tt-rss (1.5.11+dfsg2-1) unstable; urgency=low

  * replace upstream's jsmin.php with jshrink.php (Closes: #689776)
  * add get-orig-source rule to debian/rules
  * update remove-tt-rss-layer.patch
   - also load dijit.tree.dndSource (needed by prefs.Feeds)
  * add section about PHP display_errors to README.Debian

 -- Sebastian Reichel <sre@debian.org>  Sun, 07 Oct 2012 10:34:06 +0200

=== debian/control ===
--- 
+++ 
@@ -17,15 +17,16 @@
          libjs-dojo-dijit (>= 1.5.0),
          libjs-scriptaculous,
          libjs-prototype,
-         libphp-magpierss,
+         libphp-simplepie | libphp-magpierss,
          libphp-phpmailer,
-         libphp-simplepie,
          php-gettext,
          php-htmlpurifier (>= 4.4.0),
          php5,
          php5-cli,
          php5-mysql | php5-pgsql
-Recommends: apache2 | lighttpd | httpd
+Recommends: apache2 | lighttpd | httpd,
+            libphp-magpierss,
+            libphp-simplepie
 Suggests: mysql-server | postgresql,
           mysql-client | postgresql-client,
           sphinxsearch

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
+DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog | sed -rne 's,^Version: ([^+]+).*,\1,p')
+
 %:
 	dh $@
 
@@ -30,10 +33,36 @@
 	cat schema/versions/pgsql/8[89].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.5.10
 	cat schema/versions/mysql/9[01].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.5.11
 	cat schema/versions/pgsql/9[01].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.5.11
+	cat schema/versions/mysql/9[234567].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.6.0
+	cat schema/versions/pgsql/9[234567].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.6.0
 	# remove additional license files
 	rm debian/tt-rss/usr/share/tt-rss/www/lib/iui/LICENSE.txt
-	rm debian/tt-rss/usr/share/tt-rss/www/lib/tmhoauth/LICENSE
+	rm debian/tt-rss/usr/share/tt-rss/www/lib/otphp/LICENCE
+	rm debian/tt-rss/usr/share/tt-rss/www/lib/phpqrcode/LICENSE
+	rm debian/tt-rss/usr/share/tt-rss/www/lib/phpqrcode/INSTALL
+	# phpqrcode tools is not needed
+	rm -rf debian/tt-rss/usr/share/tt-rss/www/lib/phpqrcode/tools
 	# fix file permissions
 	find debian/tt-rss/usr/share/tt-rss -type f -exec chmod 644 '{}' ';'
 	chmod 755 debian/tt-rss/usr/share/tt-rss/www/update*.php
 	chmod 644 debian/tt-rss/etc/tt-rss/*
+
+get-orig-source:
+	uscan --noconf --force-download --download-current-version --destdir=. $(DEB_DEBIAN_DIR)/..
+	rm -rf tt-rss-$(DEB_UPSTREAM_VERSION)
+	tar -xf tt-rss_$(DEB_UPSTREAM_VERSION).orig.tar.gz
+	rm -rf tt-rss-$(DEB_UPSTREAM_VERSION).tar.gz
+	rm tt-rss_$(DEB_UPSTREAM_VERSION).orig.tar.gz
+	# remove debian/ from upstream source
+	rm -rf tt-rss-$(DEB_UPSTREAM_VERSION)/debian
+	# remove lib/button/ from upstream source (because of the *.swf files)
+	rm -rf tt-rss-$(DEB_UPSTREAM_VERSION)/lib/button
+	# remove lib/jsmin.php from upstream source
+	# License is against Policy §2.2.1
+	# ("The Software shall be used for Good, not Evil")
+	rm tt-rss-$(DEB_UPSTREAM_VERSION)/lib/jsmin.php
+	# create new orig.tar.gz
+	GZIP=--best tar -cz --owner root --group root --mode a+rX -f \
+		tt-rss_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.gz \
+		tt-rss-$(DEB_UPSTREAM_VERSION)
+	rm -rf tt-rss-$(DEB_UPSTREAM_VERSION)

## tt-rss 1.6.1+dfsg

=== debian/changelog ===
tt-rss (1.6.1+dfsg-3) unstable; urgency=low

  * Built-Using is prototypejs instead of libjs-prototype

 -- Sebastian Reichel <sre@debian.org>  Sat, 24 Nov 2012 20:41:31 +0100

tt-rss (1.6.1+dfsg-2) unstable; urgency=low

  * use embedded, patched libprototype (Closes: #691025)

 -- Sebastian Reichel <sre@debian.org>  Sat, 24 Nov 2012 19:13:29 +0100

tt-rss (1.6.1+dfsg-1) unstable; urgency=low

  * require libprototype >= 1.7.0
  * update tt-rss-layer removal patch to remove one more include
  * add Russian debconf template from Yuri Kozlov (Closes: #692337)
  * add Japanese debconf template (Closes: #692473)
  * add Spanish debconf template (Closes: #693527)

 -- Sebastian Reichel <sre@debian.org>  Wed, 07 Nov 2012 09:31:11 +0100

=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,12 @@
 	cat schema/versions/pgsql/9[01].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.5.11
 	cat schema/versions/mysql/9[234567].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.6.0
 	cat schema/versions/pgsql/9[234567].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.6.0
+	cat schema/versions/mysql/98.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.6.1
+	cat schema/versions/pgsql/98.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.6.1
+	# use patched prototype.js
+	echo "// Modified document.on() to modified.p_on() to fix compatibility with Dojo" > debian/tt-rss/usr/share/tt-rss/www/lib/prototype.js
+	cat /usr/share/javascript/prototype/prototype.js >> debian/tt-rss/usr/share/tt-rss/www/lib/prototype.js
+	sed -i -e "s/^    on:/    p_on:/g" debian/tt-rss/usr/share/tt-rss/www/lib/prototype.js
 	# remove additional license files
 	rm debian/tt-rss/usr/share/tt-rss/www/lib/iui/LICENSE.txt
 	rm debian/tt-rss/usr/share/tt-rss/www/lib/otphp/LICENCE

## tt-rss 1.6.2+dfsg

=== debian/changelog ===
tt-rss (1.6.2+dfsg-2) unstable; urgency=low

  [ Hans Spaans ]
  * Fix stop rule of init script (Closes: #697059)

 -- Sebastian Reichel <sre@debian.org>  Sun, 06 Jan 2013 20:55:57 +0100

tt-rss (1.6.2+dfsg-1) unstable; urgency=low

  * new upstream release

 -- Sebastian Reichel <sre@debian.org>  Sun, 30 Dec 2012 02:14:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,24 @@
 Priority: optional
 Maintainer: Sebastian Reichel <sre@debian.org>
 Uploaders: Marcelo Jorge Vieira (metal) <metal@debian.org>
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 8),
+               libjs-prototype (= 1.7.0-2)
 Standards-Version: 3.9.3
 Homepage: http://tt-rss.org
 Vcs-Git: git://git.debian.org/collab-maint/tt-rss.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/tt-rss.git;a=summary
 
 Package: tt-rss
+Built-Using: prototypejs (= 1.7.0-2)
 Architecture: all
 Depends: ${misc:Depends},
          dbconfig-common,
          libjs-dojo-core (>= 1.5.0),
          libjs-dojo-dijit (>= 1.5.0),
          libjs-scriptaculous,
-         libjs-prototype,
          libphp-simplepie | libphp-magpierss,
          libphp-phpmailer,
          php-gettext,
-         php-htmlpurifier (>= 4.4.0),
          php5,
          php5-cli,
          php5-mysql | php5-pgsql

=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,8 @@
 	cat schema/versions/pgsql/9[234567].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.6.0
 	cat schema/versions/mysql/98.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.6.1
 	cat schema/versions/pgsql/98.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.6.1
+	cat schema/versions/mysql/99.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.6.2
+	cat schema/versions/pgsql/99.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.6.2
 	# use patched prototype.js
 	echo "// Modified document.on() to modified.p_on() to fix compatibility with Dojo" > debian/tt-rss/usr/share/tt-rss/www/lib/prototype.js
 	cat /usr/share/javascript/prototype/prototype.js >> debian/tt-rss/usr/share/tt-rss/www/lib/prototype.js

=== debian/watch ===
version=3
opts=dversionmangle=s/[+]dfsg// \
http://tt-rss.org/download/tt-rss-(.*)\.tar.gz

## tt-rss 1.7.8+dfsg

=== debian/changelog ===
tt-rss (1.7.8+dfsg-1) unstable; urgency=low

  * new upstream release
  * add upstream changelog
  * use phpqrcode instead of embedded copy

 -- Sebastian Reichel <sre@debian.org>  Thu, 04 Apr 2013 17:36:20 +0200

tt-rss (1.7.5+dfsg-2) unstable; urgency=low

  * fix init script for non forking update daemon (Closes: #703847)

 -- Sebastian Reichel <sre@debian.org>  Mon, 25 Mar 2013 01:32:11 +0100

tt-rss (1.7.5+dfsg-1) unstable; urgency=low

  * new upstream release
   - JShrink is now used instead of jsmin
   - Mobile UI has been dropped
   - New plugins: auth_ldap, embed_original, mailto
   - Bugfixes
  * add Portuguese debconf template from Hugo Peixoto (Closes: #703777)
  * fix support for Apache 2.2 (Closes: #703272)
  * make it possible to install php5-cgi without php5 metapackage (Closes: #703643)
  * add php-apc suggestion (suggested by upstream author)

 -- Sebastian Reichel <sre@debian.org>  Sat, 23 Mar 2013 17:49:43 +0100

tt-rss (1.7.4+dfsg-1) unstable; urgency=low

  * new upstream release
   - Temporarily revert new OO db wrapper
  * write output from daemon into logfile (Closes: #699517)
  * add logrotate configuration for new logfile

 -- Sebastian Reichel <sre@debian.org>  Sun, 17 Mar 2013 10:30:53 +0100

tt-rss (1.7.3+dfsg-1) unstable; urgency=low

  * new upstream release
   - Reintroduce share-to-twitter plugin
   - Add googlereaderkeys plugin
   - Bugfixes

 -- Sebastian Reichel <sre@debian.org>  Fri, 15 Mar 2013 15:13:42 +0100

tt-rss (1.7.2+dfsg-2) unstable; urgency=low

  * Add dependency to libphp-simplepie, which got lost when
    the magpierss support has been removed. (Closes: #702977)

 -- Sebastian Reichel <sre@debian.org>  Wed, 13 Mar 2013 18:12:10 +0100

tt-rss (1.7.2+dfsg-1) unstable; urgency=low

  * new upstream release
   - fixes some postgresql related regressions of the last release

 -- Sebastian Reichel <sre@debian.org>  Wed, 13 Mar 2013 00:57:42 +0100

tt-rss (1.7.1+dfsg-1) unstable; urgency=low

  [ Fabien Bochu ]
  * fix non escaped slash in db-updater.php patch (Closes: #697591)

  [ Sebastian Reichel ]
  * new upstream release

 -- Sebastian Reichel <sre@debian.org>  Wed, 06 Mar 2013 17:07:49 +0100

tt-rss (1.7.0+dfsg-1) unstable; urgency=low

  * new upstream release
   - drops support for magpierss
  * set dbc_pgsql_createdb_encoding in postinst (Closes: #699453)
  * add patch fixing db-updater.php (Closes: #697591)
  * update Debian Standards Version to 3.9.4

 -- Sebastian Reichel <sre@debian.org>  Sun, 17 Feb 2013 11:51:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Marcelo Jorge Vieira (metal) <metal@debian.org>
 Build-Depends: debhelper (>= 8),
                libjs-prototype (= 1.7.0-2)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://tt-rss.org
 Vcs-Git: git://git.debian.org/collab-maint/tt-rss.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/tt-rss.git;a=summary
@@ -18,18 +18,19 @@
          libjs-dojo-core (>= 1.5.0),
          libjs-dojo-dijit (>= 1.5.0),
          libjs-scriptaculous,
-         libphp-simplepie | libphp-magpierss,
          libphp-phpmailer,
+         libphp-simplepie,
          php-gettext,
-         php5,
+         libapache2-mod-php5 (>= 5.3.0) | php5-cgi (>= 5.3.0) | php5 (>= 5.3.0),
          php5-cli,
-         php5-mysql | php5-pgsql
+         php5-mysql | php5-pgsql,
+         phpqrcode
 Recommends: apache2 | lighttpd | httpd,
-            libphp-magpierss,
-            libphp-simplepie
+            php5-gd
 Suggests: mysql-server | postgresql,
           mysql-client | postgresql-client,
-          sphinxsearch
+          sphinxsearch,
+          php-apc
 Description: web-based news feed (RSS/Atom) aggregator
  Tiny Tiny RSS is designed to allow you to read news from any location, while
  feeling as close to a real desktop application as possible.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 
 %:
 	dh $@
+
+override_dh_installchangelogs:
+	dh_installchangelogs debian/upstream-changes
 
 override_dh_install:
 	# run normal dh_install
@@ -39,17 +42,26 @@
 	cat schema/versions/pgsql/98.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.6.1
 	cat schema/versions/mysql/99.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.6.2
 	cat schema/versions/pgsql/99.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.6.2
+	cat schema/versions/mysql/10[012].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.7.0
+	cat schema/versions/pgsql/10[012].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.7.0
+	cat schema/versions/mysql/103.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.7.1
+	cat schema/versions/pgsql/103.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.7.1
+	cat schema/versions/mysql/104.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.7.3
+	cat schema/versions/pgsql/104.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.7.3
+	cat schema/versions/mysql/10[56].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.7.5
+	cat schema/versions/pgsql/10[56].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.7.5
+	cat schema/versions/mysql/10[789].sql schema/versions/mysql/11[012345].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.7.6
+	cat schema/versions/pgsql/10[789].sql schema/versions/pgsql/11[012345].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.7.6
 	# use patched prototype.js
 	echo "// Modified document.on() to modified.p_on() to fix compatibility with Dojo" > debian/tt-rss/usr/share/tt-rss/www/lib/prototype.js
 	cat /usr/share/javascript/prototype/prototype.js >> debian/tt-rss/usr/share/tt-rss/www/lib/prototype.js
 	sed -i -e "s/^    on:/    p_on:/g" debian/tt-rss/usr/share/tt-rss/www/lib/prototype.js
 	# remove additional license files
-	rm debian/tt-rss/usr/share/tt-rss/www/lib/iui/LICENSE.txt
+	rm debian/tt-rss/usr/share/tt-rss/www/lib/jshrink/LICENSE
 	rm debian/tt-rss/usr/share/tt-rss/www/lib/otphp/LICENCE
-	rm debian/tt-rss/usr/share/tt-rss/www/lib/phpqrcode/LICENSE
-	rm debian/tt-rss/usr/share/tt-rss/www/lib/phpqrcode/INSTALL
-	# phpqrcode tools is not needed
-	rm -rf debian/tt-rss/usr/share/tt-rss/www/lib/phpqrcode/tools
+	rm debian/tt-rss/usr/share/tt-rss/www/plugins/mobile/iui/LICENSE.txt
+	rm debian/tt-rss/usr/share/tt-rss/www/plugins/auth_radius/php-radius/COPYING
+	rm debian/tt-rss/usr/share/tt-rss/www/plugins/auth_radius/php-radius/COPYING.LESSER
 	# fix file permissions
 	find debian/tt-rss/usr/share/tt-rss -type f -exec chmod 644 '{}' ';'
 	chmod 755 debian/tt-rss/usr/share/tt-rss/www/update*.php
@@ -57,18 +69,21 @@
 
 get-orig-source:
 	uscan --noconf --force-download --download-current-version --destdir=. $(DEB_DEBIAN_DIR)/..
+	# remove directories before untar
+	rm -rf Tiny-Tiny-RSS-$(DEB_UPSTREAM_VERSION)
 	rm -rf tt-rss-$(DEB_UPSTREAM_VERSION)
+	# untar the source code
 	tar -xf tt-rss_$(DEB_UPSTREAM_VERSION).orig.tar.gz
-	rm -rf tt-rss-$(DEB_UPSTREAM_VERSION).tar.gz
+	# rename directory
+	mv Tiny-Tiny-RSS-$(DEB_UPSTREAM_VERSION) tt-rss-$(DEB_UPSTREAM_VERSION)
+	# remove downloaded tar.gz
+	rm $(DEB_UPSTREAM_VERSION).tar.gz 
+	# remove symlink
 	rm tt-rss_$(DEB_UPSTREAM_VERSION).orig.tar.gz
 	# remove debian/ from upstream source
 	rm -rf tt-rss-$(DEB_UPSTREAM_VERSION)/debian
 	# remove lib/button/ from upstream source (because of the *.swf files)
 	rm -rf tt-rss-$(DEB_UPSTREAM_VERSION)/lib/button
-	# remove lib/jsmin.php from upstream source
-	# License is against Policy §2.2.1
-	# ("The Software shall be used for Good, not Evil")
-	rm tt-rss-$(DEB_UPSTREAM_VERSION)/lib/jsmin.php
 	# create new orig.tar.gz
 	GZIP=--best tar -cz --owner root --group root --mode a+rX -f \
 		tt-rss_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.gz \

## tt-rss 1.8+dfsg

=== debian/changelog ===
tt-rss (1.8+dfsg-2) unstable; urgency=low

  * Recommend php5-mcrypt, which is used for encrypting passwords
    of password protected feeds (Closes: #713067)
  * Cherry Pick upstream patch fixing broken Atom feeds (Closes: #713064)

 -- Sebastian Reichel <sre@debian.org>  Sat, 22 Jun 2013 20:10:37 +0200

tt-rss (1.8+dfsg-1) unstable; urgency=low

  [ Debian English Team ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project (Closes: #706774)

  [ Debconf Translation Updates ]
  * Czech (Michal Simunek). (Closes: #710878)
  * Russian (Yuri Kozlov). (Closes: #711089)
  * Danish (Joe Dalton). (Closes: #711171)
  * Portuguese (Hugo Peixoto). (Closes: #711639)
  * Spanish; (Camaleón). (Closes: #712419)
  * Italian (Beatrice Torracca). (Closes: #712477)
  * Polish (Michał Kułach). (Closes: #712488)
  * Japanese (victory). (Closes: #712532)
  * French (Christian Perrier). (Closes: #712557)
  * Swedish (Martin Bagge). (Closes: #712650)

  [ Sebastian Reichel ]
  * New upstream release
  * Drop libphp-simplepie dependency, upstream now uses its own parser
  * fix apache2-maintscript-helper sourcing in postinst/postrm (Closes: #710840)
  * Fix logrotate script (Closes: #707212, #712121)
  * Use dpkg-statoverride in postinst (Closes: #706700)
  * Handle missing /etc/tt-rss/config.php in config script (Closes: #712401)
  * New patch, which replaces all occurences of yourserver with example.org

 -- Sebastian Reichel <sre@debian.org>  Fri, 21 Jun 2013 20:26:28 +0200

tt-rss (1.7.8+dfsg-2) unstable; urgency=low

  * Fix broken phpqrcode symlink for package upgrades
    (Closes: #705213)
  * Restart daemon in logrotate configuration
    (Closes: #705559)
  * Enable fastcgi-php if lighttpd is selected as webserver
    (Closes: #705287)
  * Add SELF_URL_PATH question to debconf
    (Closes: #705286)
  * Do not fail to install package if lighttpd config installation fails
    (Closes: #705341)
  * Try harder to purge lighttpd config
    (Closes: #705343)

 -- Sebastian Reichel <sre@debian.org>  Thu, 02 May 2013 20:29:39 +0200

=== debian/control ===
Source: tt-rss
Section: web
Priority: optional
Maintainer: Sebastian Reichel <sre@debian.org>
Uploaders: Marcelo Jorge Vieira (metal) <metal@debian.org>
Build-Depends: debhelper (>= 8),
               libjs-prototype (= 1.7.1-3)
Standards-Version: 3.9.4
Homepage: http://tt-rss.org
Vcs-Git: git://anonscm.debian.org/collab-maint/tt-rss.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tt-rss.git;a=summary

Package: tt-rss
Built-Using: prototypejs (= 1.7.1-3)
Architecture: all
Depends: ${misc:Depends},
         dbconfig-common,
         libjs-dojo-core (>= 1.5.0),
         libjs-dojo-dijit (>= 1.5.0),
         libjs-scriptaculous,
         libphp-phpmailer,
         php-gettext,
         libapache2-mod-php5 (>= 5.3.0) | php5-cgi (>= 5.3.0) | php5 (>= 5.3.0),
         php5-cli,
         php5-mysql | php5-pgsql,
         phpqrcode
Recommends: apache2 | lighttpd | httpd,
            php5-gd,
            php5-mcrypt
Suggests: mysql-server | postgresql,
          mysql-client | postgresql-client,
          sphinxsearch,
          php-apc
Description: web-based news feed (RSS/Atom) aggregator
 Tiny Tiny RSS is designed to allow you to read news from any location, while
 feeling as close to a real desktop application as possible.
 .
 Feature list:
  * server-side application - user only needs a web browser;
  * support for RSS, RDF, Atom feeds;
  * streamlined interface using AJAX;
  * authentication for reading protected feeds;
  * OPML import/export;
  * feed aggregation;
  * keyboard shortcuts;
  * content filtering;
  * JSON-based RPC API.

## tt-rss 1.9+dfsg

=== debian/changelog ===
tt-rss (1.9+dfsg-1) unstable; urgency=low

  * New upstream release
  * Update copyright file
  * Drop patches (Applied upstream)
   - make-default-config-rfc2606-compliant.patch
   - fix-for-empty-atom-feeds.patch

 -- Sebastian Reichel <sre@debian.org>  Sun, 21 Jul 2013 10:14:57 +0200

tt-rss (1.8+dfsg-4) unstable; urgency=low

  * Remove leftover recursive chown from postinst (Closes: #706700)
  * Update German translation using more suggestions of Helge Kreutzmann
  * Fix apache2_invoke call (Closes: #714413)
  * Update upstream changelog for 1.8

 -- Sebastian Reichel <sre@debian.org>  Fri, 12 Jul 2013 16:43:29 +0200

tt-rss (1.8+dfsg-3) unstable; urgency=low

  * Add "Tiny Tiny RSS" to package short description (Closes: #714089)
  * Update German translation using some suggestions of Helge Kreutzmann

 -- Sebastian Reichel <sre@debian.org>  Thu, 27 Jun 2013 17:36:19 +0200

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
           mysql-client | postgresql-client,
           sphinxsearch,
           php-apc
-Description: web-based news feed (RSS/Atom) aggregator
+Description: Tiny Tiny RSS - web-based news feed (RSS/Atom) aggregator
  Tiny Tiny RSS is designed to allow you to read news from any location, while
  feeling as close to a real desktop application as possible.
  .

=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,10 @@
 	cat schema/versions/pgsql/10[56].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.7.5
 	cat schema/versions/mysql/10[789].sql schema/versions/mysql/11[012345].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.7.6
 	cat schema/versions/pgsql/10[789].sql schema/versions/pgsql/11[012345].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.7.6
+	cat schema/versions/mysql/11[6789].sql schema/versions/mysql/120.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.7.9
+	cat schema/versions/pgsql/11[6789].sql schema/versions/pgsql/120.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.7.9
+	cat schema/versions/mysql/121.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.8
+	cat schema/versions/pgsql/121.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.8
 	# use patched prototype.js
 	echo "// Modified document.on() to modified.p_on() to fix compatibility with Dojo" > debian/tt-rss/usr/share/tt-rss/www/lib/prototype.js
 	cat /usr/share/javascript/prototype/prototype.js >> debian/tt-rss/usr/share/tt-rss/www/lib/prototype.js
@@ -59,9 +63,6 @@
 	# remove additional license files
 	rm debian/tt-rss/usr/share/tt-rss/www/lib/jshrink/LICENSE
 	rm debian/tt-rss/usr/share/tt-rss/www/lib/otphp/LICENCE
-	rm debian/tt-rss/usr/share/tt-rss/www/plugins/mobile/iui/LICENSE.txt
-	rm debian/tt-rss/usr/share/tt-rss/www/plugins/auth_radius/php-radius/COPYING
-	rm debian/tt-rss/usr/share/tt-rss/www/plugins/auth_radius/php-radius/COPYING.LESSER
 	# fix file permissions
 	find debian/tt-rss/usr/share/tt-rss -type f -exec chmod 644 '{}' ';'
 	chmod 755 debian/tt-rss/usr/share/tt-rss/www/update*.php

## tt-rss 1.10+dfsg

=== debian/changelog ===
tt-rss (1.10+dfsg-1) unstable; urgency=low

  * New upstream release
  * Add systemd service file
  * Brazilian Portuguese (J. S. Júnior). (Closes: #718462)
  * Add php5-json dependency (Closes: #721675)

 -- Sebastian Reichel <sre@debian.org>  Sun, 22 Sep 2013 16:21:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Sebastian Reichel <sre@debian.org>
 Uploaders: Marcelo Jorge Vieira (metal) <metal@debian.org>
 Build-Depends: debhelper (>= 8),
+               dh-systemd (>= 1.5),
                libjs-prototype (= 1.7.1-3)
 Standards-Version: 3.9.4
 Homepage: http://tt-rss.org
@@ -22,6 +23,7 @@
          php-gettext,
          libapache2-mod-php5 (>= 5.3.0) | php5-cgi (>= 5.3.0) | php5 (>= 5.3.0),
          php5-cli,
+         php5-json,
          php5-mysql | php5-pgsql,
          phpqrcode
 Recommends: apache2 | lighttpd | httpd,

## tt-rss 1.11+dfsg

=== debian/changelog ===
tt-rss (1.11+dfsg-1) unstable; urgency=low

  * New upstream release
  * Update Debian Standards Version to 3.9.5

 -- Sebastian Reichel <sre@debian.org>  Fri, 20 Dec 2013 23:44:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 8),
                dh-systemd (>= 1.5),
                libjs-prototype (= 1.7.1-3)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://tt-rss.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/tt-rss.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tt-rss.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog | sed -rne 's,^Version: ([^+]+).*,\1,p')
 
 %:
-	dh $@
+	dh $@ --with systemd
 
 override_dh_installchangelogs:
 	dh_installchangelogs debian/upstream-changes
@@ -56,6 +56,8 @@
 	cat schema/versions/pgsql/11[6789].sql schema/versions/pgsql/120.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.7.9
 	cat schema/versions/mysql/121.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.8
 	cat schema/versions/pgsql/121.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.8
+	cat schema/versions/mysql/12[23].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.10
+	cat schema/versions/pgsql/12[23].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.10
 	# use patched prototype.js
 	echo "// Modified document.on() to modified.p_on() to fix compatibility with Dojo" > debian/tt-rss/usr/share/tt-rss/www/lib/prototype.js
 	cat /usr/share/javascript/prototype/prototype.js >> debian/tt-rss/usr/share/tt-rss/www/lib/prototype.js

=== debian/watch ===
version=3
opts=dversionmangle=s/[+]dfsg//\
 https://github.com/gothfox/Tiny-Tiny-RSS/tags .*/(\d[\d\.]+)\.tar\.gz

## tt-rss 1.13+dfsg

=== debian/changelog ===
tt-rss (1.13+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #755573)

 -- Sebastian Reichel <sre@debian.org>  Sun, 20 Jul 2014 11:33:12 +0200

tt-rss (1.12+dfsg-2) unstable; urgency=low

  * Add patch fixing the rendering of the top bar
  * Clear cache during upgrade  (Closes: #747884)

 -- Sebastian Reichel <sre@debian.org>  Tue, 24 Jun 2014 17:01:33 +0200

tt-rss (1.12+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #747155)
  * Allow php5-mysqlnd as alternative to the php5-mysql dependency
    (Closes: #733020)
  * Remove dojo and dijit in the dfsg upstream source tarball,
    since they lack non packed version and are not needed in
    Debian (we the version provided by the system).

 -- Sebastian Reichel <sre@debian.org>  Tue, 06 May 2014 13:01:31 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
          libapache2-mod-php5 (>= 5.3.0) | php5-cgi (>= 5.3.0) | php5 (>= 5.3.0),
          php5-cli,
          php5-json,
-         php5-mysql | php5-pgsql,
+         php5-mysql | php5-mysqlnd | php5-pgsql,
          phpqrcode
 Recommends: apache2 | lighttpd | httpd,
             php5-gd,

## tt-rss 1.15+dfsg

=== debian/changelog ===
tt-rss (1.15+dfsg-1) unstable; urgency=medium

  * New upstream release
   - Contains fix for security issue (XML External Entities Exploit)
  * Update Debian Standards Version to 3.9.6
  * Add Dutch translation from Frans Spiesschaert (Closes: #766410)
  * Add Turkish translation from Mert Dirik (Closes: #757503)
  * Add patch for new phpmailer autoloader interface (Closes: #763109)
  * Add patch, which fixes feed icons and menu rendering with
    dojo/dijit 1.10 (Closes: #759777)

 -- Sebastian Reichel <sre@debian.org>  Mon, 08 Dec 2014 18:52:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 8),
                dh-systemd (>= 1.5),
                libjs-prototype (= 1.7.1-3)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://tt-rss.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/tt-rss.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tt-rss.git;a=summary
@@ -16,10 +16,10 @@
 Architecture: all
 Depends: ${misc:Depends},
          dbconfig-common,
-         libjs-dojo-core (>= 1.5.0),
-         libjs-dojo-dijit (>= 1.5.0),
+         libjs-dojo-core (>= 1.9.0),
+         libjs-dojo-dijit (>= 1.9.0),
          libjs-scriptaculous,
-         libphp-phpmailer,
+         libphp-phpmailer (>= 5.2.8),
          php-gettext,
          libapache2-mod-php5 (>= 5.3.0) | php5-cgi (>= 5.3.0) | php5 (>= 5.3.0),
          php5-cli,

=== debian/rules ===
--- 
+++ 
@@ -58,6 +58,10 @@
 	cat schema/versions/pgsql/121.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.8
 	cat schema/versions/mysql/12[23].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.10
 	cat schema/versions/pgsql/12[23].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.10
+	cat schema/versions/mysql/124.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.12
+	cat schema/versions/pgsql/124.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.12
+	cat schema/versions/mysql/12[56].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.13
+	cat schema/versions/pgsql/12[56].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.13
 	# use patched prototype.js
 	echo "// Modified document.on() to modified.p_on() to fix compatibility with Dojo" > debian/tt-rss/usr/share/tt-rss/www/lib/prototype.js
 	cat /usr/share/javascript/prototype/prototype.js >> debian/tt-rss/usr/share/tt-rss/www/lib/prototype.js
@@ -65,6 +69,10 @@
 	# remove additional license files
 	rm debian/tt-rss/usr/share/tt-rss/www/lib/jshrink/LICENSE
 	rm debian/tt-rss/usr/share/tt-rss/www/lib/otphp/LICENCE
+	# remove updater plugin, since it interfers with normal Debian package updates
+	rm debian/tt-rss/usr/share/tt-rss/www/plugins/updater/init.php
+	rm debian/tt-rss/usr/share/tt-rss/www/plugins/updater/updater.js
+	rmdir debian/tt-rss/usr/share/tt-rss/www/plugins/updater
 	# fix file permissions
 	find debian/tt-rss/usr/share/tt-rss -type f -exec chmod 644 '{}' ';'
 	chmod 755 debian/tt-rss/usr/share/tt-rss/www/update*.php
@@ -87,6 +95,9 @@
 	rm -rf tt-rss-$(DEB_UPSTREAM_VERSION)/debian
 	# remove lib/button/ from upstream source (because of the *.swf files)
 	rm -rf tt-rss-$(DEB_UPSTREAM_VERSION)/lib/button
+	# remove dojo and dijit javascript libs from upstream source (js source files missing)
+	rm -rf tt-rss-$(DEB_UPSTREAM_VERSION)/lib/dijit
+	rm -rf tt-rss-$(DEB_UPSTREAM_VERSION)/lib/dojo
 	# create new orig.tar.gz
 	GZIP=--best tar -cz --owner root --group root --mode a+rX -f \
 		tt-rss_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.gz \

## tt-rss 15.7+git20151123+dfsg

=== debian/changelog ===
tt-rss (15.7+git20151123+dfsg-1ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1565893).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 04 Apr 2016 09:55:45 -0700

tt-rss (15.7+git20151123+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #777703)
   - New upstream source urls, no watch file possible anymore
   - Fix broken OPML import (Closes: #788412)
  * Add preseeding support for self_url_path debconf selection (Closes: #801153)
  * Fix display of special icons (WIP: #759777)

 -- Sebastian Reichel <sre@debian.org>  Thu, 26 Nov 2015 20:59:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tt-rss
 Section: web
 Priority: optional
-Maintainer: Sebastian Reichel <sre@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastian Reichel <sre@debian.org>
 Uploaders: Marcelo Jorge Vieira (metal) <metal@debian.org>
 Build-Depends: debhelper (>= 8),
                dh-systemd (>= 1.5),
@@ -21,14 +22,14 @@
          libjs-scriptaculous,
          libphp-phpmailer (>= 5.2.8),
          php-gettext,
-         libapache2-mod-php5 (>= 5.3.0) | php5-cgi (>= 5.3.0) | php5 (>= 5.3.0),
-         php5-cli,
-         php5-json,
-         php5-mysql | php5-mysqlnd | php5-pgsql,
+         libapache2-mod-php | php-cgi | php,
+         php-cli,
+         php-json,
+         php-mysql | php-mysqlnd | php-pgsql,
          phpqrcode
 Recommends: apache2 | lighttpd | httpd,
-            php5-gd,
-            php5-mcrypt
+            php-gd,
+            php-mcrypt
 Suggests: mysql-server | postgresql,
           mysql-client | postgresql-client,
           sphinxsearch,

=== debian/rules ===
--- 
+++ 
@@ -62,6 +62,8 @@
 	cat schema/versions/pgsql/124.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.12
 	cat schema/versions/mysql/12[56].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/1.13
 	cat schema/versions/pgsql/12[56].sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/1.13
+	cat schema/versions/mysql/12[789].sql schema/versions/mysql/130.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/mysql/15.7+git20151123
+	cat schema/versions/pgsql/12[789].sql schema/versions/pgsql/130.sql > debian/tt-rss/usr/share/dbconfig-common/data/tt-rss/upgrade/pgsql/15.7+git20151123
 	# use patched prototype.js
 	echo "// Modified document.on() to modified.p_on() to fix compatibility with Dojo" > debian/tt-rss/usr/share/tt-rss/www/lib/prototype.js
 	cat /usr/share/javascript/prototype/prototype.js >> debian/tt-rss/usr/share/tt-rss/www/lib/prototype.js
@@ -69,37 +71,9 @@
 	# remove additional license files
 	rm debian/tt-rss/usr/share/tt-rss/www/lib/jshrink/LICENSE
 	rm debian/tt-rss/usr/share/tt-rss/www/lib/otphp/LICENCE
-	# remove updater plugin, since it interfers with normal Debian package updates
-	rm debian/tt-rss/usr/share/tt-rss/www/plugins/updater/init.php
-	rm debian/tt-rss/usr/share/tt-rss/www/plugins/updater/updater.js
-	rmdir debian/tt-rss/usr/share/tt-rss/www/plugins/updater
+	rm debian/tt-rss/usr/share/tt-rss/www/plugins/af_sort_bayes/lib/COPYING
+	rm debian/tt-rss/usr/share/tt-rss/www/plugins/af_sort_bayes/lib/LICENSE
 	# fix file permissions
 	find debian/tt-rss/usr/share/tt-rss -type f -exec chmod 644 '{}' ';'
 	chmod 755 debian/tt-rss/usr/share/tt-rss/www/update*.php
 	chmod 644 debian/tt-rss/etc/tt-rss/*
-
-get-orig-source:
-	uscan --noconf --force-download --download-current-version --destdir=. $(DEB_DEBIAN_DIR)/..
-	# remove directories before untar
-	rm -rf Tiny-Tiny-RSS-$(DEB_UPSTREAM_VERSION)
-	rm -rf tt-rss-$(DEB_UPSTREAM_VERSION)
-	# untar the source code
-	tar -xf tt-rss_$(DEB_UPSTREAM_VERSION).orig.tar.gz
-	# rename directory
-	mv Tiny-Tiny-RSS-$(DEB_UPSTREAM_VERSION) tt-rss-$(DEB_UPSTREAM_VERSION)
-	# remove downloaded tar.gz
-	rm $(DEB_UPSTREAM_VERSION).tar.gz 
-	# remove symlink
-	rm tt-rss_$(DEB_UPSTREAM_VERSION).orig.tar.gz
-	# remove debian/ from upstream source
-	rm -rf tt-rss-$(DEB_UPSTREAM_VERSION)/debian
-	# remove lib/button/ from upstream source (because of the *.swf files)
-	rm -rf tt-rss-$(DEB_UPSTREAM_VERSION)/lib/button
-	# remove dojo and dijit javascript libs from upstream source (js source files missing)
-	rm -rf tt-rss-$(DEB_UPSTREAM_VERSION)/lib/dijit
-	rm -rf tt-rss-$(DEB_UPSTREAM_VERSION)/lib/dojo
-	# create new orig.tar.gz
-	GZIP=--best tar -cz --owner root --group root --mode a+rX -f \
-		tt-rss_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.gz \
-		tt-rss-$(DEB_UPSTREAM_VERSION)
-	rm -rf tt-rss-$(DEB_UPSTREAM_VERSION)

=== debian/watch ===
# upstream is maintained as untagged git nowadays
# https://tt-rss.org/gitlab/fox/tt-rss

## tt-rss 16.8+git20160826+dfsg

=== debian/changelog ===
tt-rss (16.8+git20160826+dfsg-3) unstable; urgency=medium

  * Readd dependency on php-gettext, as the transition package still
    contains a few files, which are not in php-php-gettext (Closes: #837083)

 -- Sebastian Reichel <sre@debian.org>  Thu, 08 Sep 2016 18:13:46 +0200

tt-rss (16.8+git20160826+dfsg-2) unstable; urgency=medium

  * Add dependency to dbconfig-mysql | dbconfig-pgsql, which are
    required since dbconfig-common 2.0

 -- Sebastian Reichel <sre@debian.org>  Mon, 29 Aug 2016 01:38:31 +0200

tt-rss (16.8+git20160826+dfsg-1) unstable; urgency=low

  * New git snapshot
  * Recommend php-curl (Closes: #822374)
  * Fix php-gettext dependency (Closes: #824029)
  * Update Debian Standards Version to 3.9.8
  * Use canonical, secure VCS urls
  * Update patches
  * Add some new dojo compatibility patches
  * Switch to compat level 9
  * Drop autoexpand for feed categories (Closes: #773236)

 -- Sebastian Reichel <sre@debian.org>  Mon, 29 Aug 2016 00:45:27 +0200

tt-rss (15.7+git20151123+dfsg-5) unstable; urgency=medium

  * Check if ucf exists before calling it in postrm (Closes: #820076)

 -- Sebastian Reichel <sre@debian.org>  Sun, 17 Apr 2016 16:00:50 +0200

tt-rss (15.7+git20151123+dfsg-4) unstable; urgency=medium

  * Remove database configuration during purge (Closes: #817991)
  * Don't try to handle dbconfig-common errors (Closes: #818316)

 -- Sebastian Reichel <sre@debian.org>  Mon, 21 Mar 2016 00:42:31 +0100

tt-rss (15.7+git20151123+dfsg-3) unstable; urgency=medium

  * Fix autoloading when used with newer phpmailer releases

 -- Sebastian Reichel <sre@debian.org>  Fri, 11 Mar 2016 15:48:10 +0100

tt-rss (15.7+git20151123+dfsg-2) unstable; urgency=medium

  * Update Debian Standards Version to 3.9.7
  * cherry-pick upstream patch for php7 support (Closes: #816405)
  * Update PHP dependencies for php7 (Closes: #816479)

 -- Sebastian Reichel <sre@debian.org>  Thu, 03 Mar 2016 18:48:34 +0100

=== debian/control ===
Source: tt-rss
Section: web
Priority: optional
Maintainer: Sebastian Reichel <sre@debian.org>
Uploaders: Marcelo Jorge Vieira (metal) <metal@debian.org>
Build-Depends: debhelper (>= 9~),
               dh-systemd (>= 1.5),
               libjs-prototype (= 1.7.1-3)
Standards-Version: 3.9.8
Homepage: http://tt-rss.org
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/tt-rss.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tt-rss.git

Package: tt-rss
Built-Using: prototypejs (= 1.7.1-3)
Architecture: all
Depends: ${misc:Depends},
         dbconfig-common,
         dbconfig-mysql | dbconfig-pgsql |  dbconfig-no-thanks,
         libjs-dojo-core (>= 1.9.0),
         libjs-dojo-dijit (>= 1.9.0),
         libjs-scriptaculous,
         libphp-phpmailer (>= 5.2.8),
         php-php-gettext,
         php-gettext,
         libapache2-mod-php (>= 5.4.0) | php-cgi (>= 5.4.0) | php (>= 5.4.0),
         php-cli,
         php-json,
         php-mbstring,
         php-mysql | php-pgsql,
         php-xml,
         phpqrcode
Recommends: apache2 | lighttpd | httpd,
            php-curl,
            php-gd,
            php-mcrypt
Suggests: sphinxsearch,
          php-apc
Description: Tiny Tiny RSS - web-based news feed (RSS/Atom) aggregator
 Tiny Tiny RSS is designed to allow you to read news from any location, while
 feeling as close to a real desktop application as possible.
 .
 Feature list:
  * server-side application - user only needs a web browser;
  * support for RSS, RDF, Atom feeds;
  * streamlined interface using AJAX;
  * authentication for reading protected feeds;
  * OPML import/export;
  * feed aggregation;
  * keyboard shortcuts;
  * content filtering;
  * JSON-based RPC API.

## tt-rss 17.1+git20170410+dfsg

=== debian/changelog ===
tt-rss (17.1+git20170410+dfsg-2ubuntu1) bionic; urgency=medium

  * d/control: drop recommends on php-mcrypt extension.
    - Removed in PHP7.2.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 26 Feb 2018 09:29:55 -0800

tt-rss (17.1+git20170410+dfsg-2) unstable; urgency=medium

  * Use proper symlink for new location of gettext code (Closes: #860261)

 -- Sebastian Reichel <sre@debian.org>  Thu, 13 Apr 2017 21:18:50 +0200

tt-rss (17.1+git20170410+dfsg-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #854614)
  * Remove php-gettext dependency and make php-php-gettext
    dependency versioned (Closes: #837508)
  * Recommend ca-certificates, which is required for TLS
    using feeds (Closes: #845931)
  * Switch to compat level 10
  * Fix init.d-script-needs-depends-on-lsb-base

 -- Sebastian Reichel <sre@debian.org>  Fri, 04 Nov 2016 05:29:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: tt-rss
 Section: web
 Priority: optional
-Maintainer: Sebastian Reichel <sre@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastian Reichel <sre@debian.org>
 Uploaders: Marcelo Jorge Vieira (metal) <metal@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 10~),
                dh-systemd (>= 1.5),
                libjs-prototype (= 1.7.1-3)
 Standards-Version: 3.9.8
@@ -21,8 +22,8 @@
          libjs-dojo-dijit (>= 1.9.0),
          libjs-scriptaculous,
          libphp-phpmailer (>= 5.2.8),
-         php-php-gettext,
-         php-gettext,
+         lsb-base (>= 3.0-6),
+         php-php-gettext (>= 1.0.11-4),
          libapache2-mod-php (>= 5.4.0) | php-cgi (>= 5.4.0) | php (>= 5.4.0),
          php-cli,
          php-json,
@@ -33,7 +34,7 @@
 Recommends: apache2 | lighttpd | httpd,
             php-curl,
             php-gd,
-            php-mcrypt
+            ca-certificates
 Suggests: sphinxsearch,
           php-apc
 Description: Tiny Tiny RSS - web-based news feed (RSS/Atom) aggregator

=== debian/rules ===
--- 
+++ 
@@ -71,8 +71,6 @@
 	# remove additional license files
 	rm debian/tt-rss/usr/share/tt-rss/www/lib/jshrink/LICENSE
 	rm debian/tt-rss/usr/share/tt-rss/www/lib/otphp/LICENCE
-	rm debian/tt-rss/usr/share/tt-rss/www/plugins/af_sort_bayes/lib/COPYING
-	rm debian/tt-rss/usr/share/tt-rss/www/plugins/af_sort_bayes/lib/LICENSE
 	# fix file permissions
 	find debian/tt-rss/usr/share/tt-rss -type f -exec chmod 644 '{}' ';'
 	chmod 755 debian/tt-rss/usr/share/tt-rss/www/update*.php
